# The "Please Don't Sue Us" License 🚂⚖️

## Version 1.0 (The "We're Just Trying to Help" Edition)

### Preamble (The Boring Legal Stuff, But Funny)

Listen, we made this thing to help people figure out when trains are coming. We didn't make the trains, we didn't make the schedules, and we definitely didn't make the delays. We're just the messenger, and as we all know, shooting the messenger is generally frowned upon in most legal jurisdictions.

### What You Can Do (The Fun Stuff)

**You are hereby granted permission to:**

- ✅ Use this software to check train schedules (and then be disappointed by reality)
- ✅ Modify the code (because surely you can make it better than us, right?)
- ✅ Distribute copies (spread the disappointment!)
- ✅ Complain loudly when trains don't match the schedule (but complain to Caltrain, not us)
- ✅ Use this in commercial applications (make money while we make none, living the dream!)
- ✅ Fork this repo and rename it something cooler

### What You Can't Do (The Buzzkill Section)

**You are hereby forbidden from:**

- ❌ Blaming us when trains are late (we don't control space and time)
- ❌ Suing us because you missed your train (maybe leave earlier next time?)
- ❌ Expecting this to be accurate during "signal problems" or "mechanical issues"
- ❌ Using this to justify being late to work (your boss won't buy it)
- ❌ Claiming you invented this software (we have git history, we're not stupid)
- ❌ Expecting customer support (this is free software, what did you expect?)

### The GTFS Data Situation (The Real Legal Stuff)

This software uses **official Caltrain GTFS data**, which belongs to Caltrain and the various transit authorities. We're just parsing their CSV files and making them slightly more bearable to interact with.

**Important disclaimers:**

- The GTFS data is owned by Caltrain, not us
- If Caltrain decides to change their data format, this might break (and we'll probably cry)
- Schedule accuracy is subject to the laws of physics, traffic, "mechanical issues," and whatever cosmic forces control Bay Area transit
- We update the data when we remember to run the fetch script

### Warranty (Spoiler Alert: There Isn't One)

This software is provided "AS IS" without warranty of any kind, express or implied, including but not limited to:

- **Fitness for any particular purpose** (like actually catching trains)
- **Merchantability** (we're not merchants, we're just developers with too much time)
- **Non-infringement** (we didn't steal anything, we swear)
- **Temporal accuracy** (time is a flat circle, schedules are suggestions)
- **Emotional well-being** (using public transit may cause existential dread)

### Limitation of Liability (The "It's Not Our Fault" Clause)

In no event shall the authors be liable for any claim, damages, or other liability, whether in an action of contract, tort, or otherwise, arising from, out of, or in connection with the software or the use or other dealings in the software, including but not limited to:

- **Missed meetings** (you should have left earlier)
- **Relationship problems** (caused by chronic lateness due to train delays)
- **Career setbacks** (see above)
- **Existential crises** (triggered by contemplating the futility of public transit schedules)
- **Coffee withdrawal** (from missing your usual coffee stop due to train delays)
- **General disappointment with life** (we can't fix that, try therapy)

### Attribution (Give Credit Where Credit Is Due)

If you use this software, please:

1. **Don't blame us** for train-related disappointments
2. **Do credit us** if you build something cool with it
3. **Consider buying us coffee** if this actually helps you (we accept donations in the form of caffeine)
4. **Share your train delay horror stories** (we collect them for entertainment)

### Termination (When Things Go Wrong)

This license automatically terminates if you:

- Start a lawsuit against us for train-related grievances
- Claim this software caused you to miss your wedding/graduation/job interview
- Try to use this to predict lottery numbers (it doesn't work that way)
- Become a time traveler and demand we fix past train schedules

### Governing Law (The Serious Bit)

This license shall be governed by the laws of California, USA, because that's where Caltrain operates and where we drink our overpriced coffee. Any disputes shall be resolved by a trial by combat involving foam train toys.

### Final Notes (The Philosophical Conclusion)

Remember: trains are like life - they rarely arrive when you expect them to, they're often delayed by forces beyond anyone's control, and sometimes the journey matters more than the destination. Or something deep like that.

Also, please don't sue us. We're just trying to make public transit slightly less painful.

---

**TL;DR:** Use this software, have fun, don't sue us when trains are late (they always are), and remember that we're all just trying to get home at the end of the day.

_Built with ❤️, questionable humor, and an unhealthy obsession with punctuality in the Bay Area._

**© 2025 The Caltrain MCP Team** (aka some developers who got tired of checking train schedules manually)
